# Generated from knife-spork-1.7.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name knife-spork

Name: rubygem-%{gem_name}
Version: 1.7.3
Release: 1%{?dist}
Summary: A workflow plugin to help many devs work with the same chef repo/server
License: GPL
URL: https://github.com/jonlives/knife-spork
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.1.0
# BuildRequires: rubygem(chef-zero) >= 3.2
BuildArch: noarch

%description
KnifeSpork is a workflow plugin for Chef::Knife which helps multiple
developers work on the same Chef Server and repository without treading on
each other's toes. This plugin was designed around the workflow used at Etsy,
where several people are working on the Chef repository and Chef Server
simultaneously.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 1.7.3-1
- Initial package
